com.h3c.sdn.app

## Interface ApplicationListener

-     public interface ApplicationListener

  Facade for accepting notification about application registration and run state changes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applicationHealthy(Application app)` Issues notification about application healthy.
    `void` | `applicationInstalled(Application app)` Issues notification about application installation.
    `void` | `applicationStarted(Application app)` Issues notification about application start.
    `void` | `applicationStopped(Application app)` Issues notification about application stop.
    `void` | `applicationUnhealthy(Application app)` Issues notification about application unhealthy.
    `void` | `applicationUninstalled(Application app)` Issues notification about application uninstallation.

- - ### Method Detail

    - #### applicationInstalled

          void applicationInstalled(Application app)

      Issues notification about application installation.
      Parameters:
        `app` - installed application

    - #### applicationUninstalled

          void applicationUninstalled(Application app)

      Issues notification about application uninstallation.
      Parameters:
        `app` - uninstalled application

    - #### applicationStarted

          void applicationStarted(Application app)

      Issues notification about application start.
      Parameters:
        `app` - started application

    - #### applicationStopped

          void applicationStopped(Application app)

      Issues notification about application stop.
      Parameters:
        `app` - stopped application

    - #### applicationHealthy

          void applicationHealthy(Application app)

      Issues notification about application healthy.
      Parameters:
        `app` - application

    - #### applicationUnhealthy

          void applicationUnhealthy(Application app)

      Issues notification about application unhealthy.
      Parameters:
        `app` - application

Copyright © 2014. All Rights Reserved.